// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.

/**
 * execinfo.h のラッパークラス
 */
@interface CUExecInfo : NSObject

// 現在のコールスタックのシンボルリストを返す
+ (NSArray*)callStackSymbols;

// 渡されたアドレスのリストからコールスタックのシンボルリストを返す
+ (NSArray*)callStackSymbolsWithAddresses:(NSArray*)addresses;

// 渡されたアドレスの配列からコールスタックのシンボルリストを返す
+ (NSArray*)callStackSymbolsWithAddresses:(void*)addresses count:(int)count;

@end

// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.
