//
//  AlertMessage.h
//  CommonUtils
//
//  Created by 丸山　隆夫 on 13/04/20.
//  Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface AlertMessage : NSObject {
@private
    NSAlert* alert;
    NSWindow* parentWindow;
    NSMutableString* infomationText;
    NSResponder* moveFocusResponder;
}

- (id) initWithMessage:(NSString*)message window:(NSWindow*)window;

- (void) addInfomation:(NSString*)info responder:(NSResponder*)responder;
- (BOOL) isAddedInfomation;

- (void) runModal;
- (void) beginSheetModal;

@end
