//
//  IniFileReader.h
//  CommonUtils
//
//  Created by 丸山　隆夫 on 13/03/25.
//  Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface IniFileReader : NSObject {
    NSString* path;
    BOOL isLoad;
    NSDictionary* contents;
}
@property(readonly) NSString* path;
@property(assign, readonly) BOOL isLoad;

- (id)init;
- (id)initWithPath:(NSString*)iniPath;

- (BOOL)load;

- (NSString*)valueWithSection:(NSString*)section key:(NSString*)key;

@end
