//
//  SCVRunLoopSource.h
//
//  Created by 丸山　隆夫 on 13/04/05.
//  Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * @attention このクラスは非推奨です。代わりにInvocationRunLoopSourceを使って下さい.
 */

// --------------------------------------------------
//   SCVRunLoopSource
// --------------------------------------------------
typedef void (*SCVRunLoopSourcePerformCallback)(void*);

@interface SCVRunLoopSource : NSObject {
@private
    CFRunLoopSourceRef runLoopSource;
}

- (void) addToCurrentRunLoopWithOrner:(id)orner order:(CFIndex)order callback:(SCVRunLoopSourcePerformCallback)callback;
- (void) signal;
- (void) invalidate;

@end
